package example.hello.client;

import org.seasar.extension.unit.S2TestCase;

public class S2HelloClientTest extends S2TestCase {

    HelloClient client;

    protected void setUp() throws Exception {
        include("S2HelloClient.dicon");
    }

    public void testSayHelloTx() {
        assertEquals("Hello, World!", client.sayHello(null));
        assertEquals("Hello, World!", client.sayHello(""));
        assertEquals("Hello, World!", client.sayHello(" "));
        assertEquals("Hello, John!", client.sayHello("John"));
    }

}
